Package net.shibboleth.shared.primitive

# Interface NonnullSupplier<T>

Type Parameters:
  `T` - type of object supplied

All Superinterfaces:
  `Supplier<T>`

All Known Implementing Classes:
  `ConstantSupplier`, `ThreadLocalHttpServletRequestSupplier`, `ThreadLocalHttpServletResponseSupplier`

public interface NonnullSupplier<T> extends Supplier<T>
Implementation of `Supplier` that carries the nonnull annotation on the `get()` method.

Since:
  8.4.0

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`
`static <T> NonnullSupplier<T>`
`of(T input)`
Return a `NonnullSupplier` that returns the input argument.

## Method Details

### get

@Nonnull T get()

Specified by:
  `get` in interface `Supplier<T>`

### of

@Nonnull static <T> NonnullSupplier<T> of(@Nonnull T input)
Return a `NonnullSupplier` that returns the input argument.

Type Parameters:
  `T` - argument type
Parameters:
  `input` - input argument to return
Returns:
  the input argument